package it.integry.integrywmsnative.core.rest.model;

import java.math.BigDecimal;
import java.util.HashMap;

public class SitArtOrdDTO {


    private String codJcom;
    private String codMart;
    private String codCol;
    private String codTagl;
    private String codAlis;
    private String codArtFor;
    private String partitaMag;
    private BigDecimal qtaOrd;
    private BigDecimal numCnfOrd;
    private BigDecimal qtaCnfOrd;
    private String idViaggio;
    private String codMdep;
    private boolean flagEnablePickManuale;
    private String codMgrp;
    private String descrizioneMgrp;
    private String codMsgr;
    private String descrizioneMsgr;
    private String codMsfa;
    private String descrizioneMsfa;

    private final HashMap<String, Object> extraInfo = new HashMap<>();

    public String getCodJcom() {
        return codJcom;
    }

    public SitArtOrdDTO setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public SitArtOrdDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodCol() {
        return codCol;
    }

    public SitArtOrdDTO setCodCol(String codCol) {
        this.codCol = codCol;
        return this;
    }

    public String getCodTagl() {
        return codTagl;
    }

    public SitArtOrdDTO setCodTagl(String codTagl) {
        this.codTagl = codTagl;
        return this;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public SitArtOrdDTO setCodAlis(String codAlis) {
        this.codAlis = codAlis;
        return this;
    }

    public String getCodArtFor() {
        return codArtFor;
    }

    public SitArtOrdDTO setCodArtFor(String codArtFor) {
        this.codArtFor = codArtFor;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public SitArtOrdDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public SitArtOrdDTO setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }

    public BigDecimal getNumCnfOrd() {
        return numCnfOrd;
    }

    public SitArtOrdDTO setNumCnfOrd(BigDecimal numCnfOrd) {
        this.numCnfOrd = numCnfOrd;
        return this;
    }

    public BigDecimal getQtaCnfOrd() {
        return qtaCnfOrd;
    }

    public SitArtOrdDTO setQtaCnfOrd(BigDecimal qtaCnfOrd) {
        this.qtaCnfOrd = qtaCnfOrd;
        return this;
    }

    public String getIdViaggio() {
        return idViaggio;
    }

    public SitArtOrdDTO setIdViaggio(String idViaggio) {
        this.idViaggio = idViaggio;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public SitArtOrdDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public boolean isFlagEnablePickManuale() {
        return flagEnablePickManuale;
    }

    public SitArtOrdDTO setFlagEnablePickManuale(boolean flagEnablePickManuale) {
        this.flagEnablePickManuale = flagEnablePickManuale;
        return this;
    }


    public String getCodMgrp() {
        return codMgrp;
    }

    public SitArtOrdDTO setCodMgrp(String codMgrp) {
        this.codMgrp = codMgrp;
        return this;
    }

    public String getDescrizioneMgrp() {
        return descrizioneMgrp;
    }

    public SitArtOrdDTO setDescrizioneMgrp(String descrizioneMgrp) {
        this.descrizioneMgrp = descrizioneMgrp;
        return this;
    }

    public String getCodMsgr() {
        return codMsgr;
    }

    public SitArtOrdDTO setCodMsgr(String codMsgr) {
        this.codMsgr = codMsgr;
        return this;
    }

    public String getDescrizioneMsgr() {
        return descrizioneMsgr;
    }

    public SitArtOrdDTO setDescrizioneMsgr(String descrizioneMsgr) {
        this.descrizioneMsgr = descrizioneMsgr;
        return this;
    }

    public String getCodMsfa() {
        return codMsfa;
    }

    public SitArtOrdDTO setCodMsfa(String codMsfa) {
        this.codMsfa = codMsfa;
        return this;
    }

    public String getDescrizioneMsfa() {
        return descrizioneMsfa;
    }

    public SitArtOrdDTO setDescrizioneMsfa(String descrizioneMsfa) {
        this.descrizioneMsfa = descrizioneMsfa;
        return this;
    }

    public HashMap<String, Object> getExtraInfo() {
        return extraInfo;
    }
}
